<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/player_main_layout"
    android:layout_width="match_parent"
    android:layout_height="?android:attr/listPreferredItemHeight"
    android:background="@drawable/selector_player_banner"
    android:clickable="true" >

    <RelativeLayout
        android:id="@+id/player_thumb_layout"
        android:layout_width="?android:attr/listPreferredItemHeight"
        android:layout_height="?android:attr/listPreferredItemHeight"
        android:layout_alignParentLeft="true" >

        <ImageView
            android:id="@+id/player_thumb"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_centerVertical="true"
            android:scaleType="centerInside" />

        <ProgressBar
            android:id="@+id/adapter_top10_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:indeterminate="true"
            android:indeterminateDrawable="@drawable/progress_bar_custom"
            android:visibility="gone" />
    </RelativeLayout>

    <ImageButton
        android:id="@+id/player_play"
        android:layout_width="48dp"
        android:layout_height="?android:attr/listPreferredItemHeight"
        android:layout_centerVertical="true"
        android:layout_marginRight="@dimen/margin_medium"
        android:layout_toRightOf="@+id/player_thumb_layout"
        android:background="@drawable/selector_player_banner"
        android:src="@drawable/selector_btn_play_small" />

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_toLeftOf="@+id/player_like"
        android:layout_toRightOf="@+id/player_play"
        android:gravity="center_vertical|left"
        android:orientation="vertical" >

        <TextView
            android:id="@+id/player_title"
            style="@android:style/TextAppearance.Medium"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:singleLine="true"
            android:text="@string/text_default"
            android:textColor="@android:color/primary_text_dark" />

        <com.egdigital.allzic.ui.ScrollingTextView
            android:id="@+id/player_sub"
            style="@android:style/TextAppearance.Small"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="marquee"
            android:singleLine="true"
            android:text="@string/text_default"
            android:textColor="@android:color/secondary_text_dark" />
    </LinearLayout>

    <ImageButton
        android:id="@+id/player_like"
        android:layout_width="@dimen/cell_height"
        android:layout_height="@dimen/cell_height"
        android:layout_alignParentRight="true"
        android:layout_centerVertical="true"
        android:layout_marginLeft="@dimen/margin_medium"
        android:background="@drawable/selector_player_banner"
        android:src="@drawable/selector_btn_like_small" />

</RelativeLayout>